Get Agreement Details

Get the details of a specific details and pdf of an agreement given the id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint provides details about, and a PDF link to an Agreement in Hover, given an ID.

The project_management_proposal_document_id, used as the ID for an agreement, can be retrieved from the agreements webhooks. Using webhooks, one can request the agreement data at the time the agreement is created or when the agreement has been signed.

Agreements themselves can be any kind of document pertinent to the proposal of a job; examples would be a contract, a proposal, a contingency agreement.

To access sub-org agreements data

Please reach out to your rep or the Hover solutions engineering team at [email protected] to get access to the ability to access sub-org Agreements data via the REST API.

Output fields

Linked Estimates

Within the productionLists object, you can view the Estimate IDs (project_management_production_list_id) that the agreement is linked to. You can use the Show Estimate Details endpoint with that ID to view more information on the Estimate itself. Agreements are not required to be associated with Estimates, but can be. In the case they are not associated to an estimate, the productionLists array will be empty.

User

The user object is the user who created the agreement, not the person who signed the agreement.

Signature Request

The signatureRequest field will only populate if a signature request exists. Otherwise this field will be null. For more information on when to retrieve data for signed agreements, check our our webhook guide for the project-management-signature-request-state-changed event.

Signature StateDescription
requestedA signature on the agreement has been requested.
partially_signedThe customer has partially signed the agreement (not all pages, for example).
completeThe agreement has been completely signed. The signed PDF can now be retrieved.

Example Response

{
  "id": "8f2c1a3e-4b5d-4c6f-9a0b-1c2d3e4f5a6b",
  "state": "complete",
  "pdf": {
    "redirectUrl": "https://api.hover.to/files/redirect/document.pdf"
  },
  "createdAt": "2026-06-18T14:03:22Z",
  "updatedAt": "2026-06-20T09:47:10Z",
  "orgId": 48299,
  "user": {
    "id": 200294,
    "firstName": "Jordan",
    "lastName": "Alvarez",
    "email": "[email protected]"
  },
  "job": {
    "id": 229900,
    "externalIdentifier": "CRM-88200",
    "locationLine1": "A nice avenue",
    "locationLine2": "Unit 4",
    "locationCity": "New York",
    "locationPostalCode": "99999",
    "locationRegion": "NY"
  },
  "signatureRequest": {
    "state": "complete",
    "signedAt": "2026-06-20T09:45:58Z"
  },
  "productionLists": [
    { "id": 404222 },
    { "id": 404244 }
  ]
}

Path Params
string
required
Response
200
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!